import {} from 'text-treeview';
import {} from '../compare-file-sizes';
export const reduceChain = (trees, data, sortBy) => {
    if (data.path.length === 0) {
        return trees;
    }
    const [directoryName, ...rest] = data.path;
    const item = trees.find(({ name }) => name === directoryName) ||
        {
            name: directoryName,
            id: directoryName,
            size: 0,
            data: rest.length === 0 ? data : undefined,
            children: []
        };
    item.children = reduceChain(item.children, {
        ...data,
        path: rest
    }, sortBy);
    item.size = item.children.length
        ? item.children.reduce((acc, { size }) => acc + size, 0)
        : data.currentSize;
    return [...trees.filter(({ name }) => name !== item.name), item].sort((a, b) => {
        if (a.children.length > 0 && b.children.length > 0) {
            return sortBy === 'size' ? b.size - a.size : String(a.name) < String(b.name) ? -1 : 1;
        }
        if (a.children.length === 0 && b.children.length === 0) {
            return sortBy === 'size' ? b.size - a.size : String(a.name) < String(b.name) ? -1 : 1;
        }
        return a.children.length > 0 ? -1 : 1;
    });
};
export const combinePathsIntoTree = (arrayOfPaths, sortBy) => arrayOfPaths.reduce((acc, data) => reduceChain(acc, data, sortBy), []);
//# sourceMappingURL=combine-paths-into-tree.js.map